###  | #  |

Public Member Functions | List of all members
PixelBasedConcept< P > Struct Template Reference
PixelBased » Concepts

Concept for all pixel-based GIL constructs. More...

`#include <pixel_based.hpp>`

## Public Member Functions
void | constraints ()

## Detailed Description

template<typename P>
struct boost::gil::PixelBasedConcept< P >

Concept for all pixel-based GIL constructs.

Pixel-based constructs include pixels, iterators, locators, views and images whose value type is a pixel.

concept PixelBasedConcept<typename T>
{
typename color_space_type<T>;
where Metafunction<color_space_type<T> >;
where ColorSpaceConcept<color_space_type<T>::type>;
typename channel_mapping_type<T>;
where Metafunction<channel_mapping_type<T> >;
where ChannelMappingConcept<channel_mapping_type<T>::type>;
typename is_planar<T>;
where Metafunction<is_planar<T> >;
where SameType<is_planar<T>::type, bool>;
};
boost::gil::ChannelMappingConcept
Channel mapping concept.
Definition: color.hpp:79
boost::gil::ColorSpaceConcept
Color space type concept.
Definition: color.hpp:38
boost::gil::Metafunction
Concept for type as metafunction requirement.
Definition: basic.hpp:164
boost::gil::PixelBasedConcept
Concept for all pixel-based GIL constructs.
Definition: pixel_based.hpp:54
boost::gil::SameType
Concept of types equivalence requirement.
Definition: basic.hpp:179

The documentation for this struct was generated from the following file:

- pixel_based.hpp